Package org.apache.uima.cas.impl

# Enum Class BinaryCasSerDes6.CompressLevel

java.lang.Object
java.lang.Enum<BinaryCasSerDes6.CompressLevel>
org.apache.uima.cas.impl.BinaryCasSerDes6.CompressLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<BinaryCasSerDes6.CompressLevel>`, `Constable`

Enclosing class:
  BinaryCasSerDes6

public static enum BinaryCasSerDes6.CompressLevel extends Enum<BinaryCasSerDes6.CompressLevel>
Compression alternatives

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Best`
  `Default`
  `Fast`
  `None`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `lvl`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BinaryCasSerDes6.CompressLevel`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BinaryCasSerDes6.CompressLevel[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### None

    public static final BinaryCasSerDes6.CompressLevel None

  - ### Fast

    public static final BinaryCasSerDes6.CompressLevel Fast

  - ### Default

    public static final BinaryCasSerDes6.CompressLevel Default

  - ### Best

    public static final BinaryCasSerDes6.CompressLevel Best

- ## Field Details

  - ### lvl

    public final int lvl

- ## Method Details

  - ### values

    public static BinaryCasSerDes6.CompressLevel[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BinaryCasSerDes6.CompressLevel valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null